lkml.org 
[lkml]   [2008]   [Apr]   [11]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: suspend issue
On Fri, Apr 11, 2008 at 5:32 AM, Soeren Sonnenburg <kernel@nn7.de> wrote:
> On Fri, 2008-04-11 at 05:18 +0000, Justin Mattock wrote:
> > On Thu, Apr 10, 2008 at 10:05 PM, Soeren Sonnenburg <kernel@nn7.de> wrote:
> > > On Thu, 2008-04-10 at 12:02 +0200, Pavel Machek wrote:
> > > > On Wed 2008-04-09 12:25:30, Soeren Sonnenburg wrote:
> > > > > On Mon, 2008-04-07 at 01:28 +0200, Pavel Machek wrote:
> > > > > > On Sun 2008-04-06 13:55:04, Soeren Sonnenburg wrote:
> > > > > > > On Sun, 2008-04-06 at 04:03 +0000, Justin Mattock wrote:
> > > > > > > > Hello; I seem to have discovered something with echo mem > /sys/power/state.
> > > > > > > > I recompile the kernel and had forgotten to compile fglrx, when
> > > > > > > > performing a suspend without fglrx I was confronted with the dreaded
> > > > > > > > blank screen and a reboot. then as a test I compiled fglrx and loaded,
> > > > > > > > and to my amazement suspend reacted properly again.
> > > > > > >
> > > > > > > Yeah, but I it does not even work without X - console only!
> > > > > > >
> > > > > > > s2ram -f -p used to work since at least 2.6.20 ... and is now not
> > > > > > > anymore in 2.6.25-*
> > > > > >
> > > > > > Can you do git bisect?
> > > > >
> > > > > I just tried, and the problem is that 25-rc1 already fails to suspend -
> > > > > so I am not sure how I could get more insight into this failure *on
> > > > > resume*... any ideas?
> > > >
> > > > Well, 2.6.20 worked, so bisect should be easy, right?
> > >
> > > I don't quite understand... 2.6.24 worked yes, but 2.6.25-rc1 didn't
> > > even *suspend*. However the problem lies not in suspending but no
> > > display on *resume*. So the bug is hidden by the hang on suspend and I
> > > don't see how I can check when resume broke.
> > >
> > > Soeren
> > >
> >
> > Do you think the problem may be with the xserver? Did you upgrade to 7.3?
> > Over here I did the upgrade to 7.3, but with testing with vesa there
> > seems to be no module with the xserver for vesa
> > or at least I haven't located it yet. On a positive note suspend does
> > work with the ati driver installer, the negative side is
> > it doesn't work without it. So from my perspective over here, Does
> > xserver(7.3) have vesa support?
>
> lets focus on console only - no Xserver - no X - because already for
> that it doesn't work.
>
> Soeren
>

Alright; I didn't get what you said at first, but now I see.

--
Justin P. Mattock


\
 
 \ /
  Last update: 2008-04-11 08:15    [W:0.106 / U:0.328 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site